cmake_minimum_required(VERSION 3.12)

project(CLS_BSP C)

add_library(${PROJECT_NAME} STATIC "")

target_sources(${PROJECT_NAME} 
    PRIVATE
    ${CMAKE_CURRENT_LIST_DIR}/CLS_BSP.c
    INTERFACE
    ${CMAKE_CURRENT_LIST_DIR}/CLS_BSP.h
    )

target_include_directories(${PROJECT_NAME} INTERFACE ${CMAKE_CURRENT_LIST_DIR})
